# eth\_sendBundle

**Note this is for originators who send transactions via bundles rather than searchers who are bundling with other transactions.**

Blink will intercept eth\_sendBundle requests, it will;

* Send the transaction directly to builders
* Run the "State Update Auction" for single transaction bundles

### Example request

```
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "eth_sendBundle",
  "params": [
    {
      txs,               // Array[String], A list of signed transactions to execute in an atomic bundle
      blockNumber,       // (Optional) String, a hex-encoded block number for which this bundle is valid. Default, current block number
    }
  ]
}
```

### Example response

```
{
    "id": 1,
    "jsonrpc": "2.0",
    "result": "0x164d7d41f24b7f333af3b4a70b690cf93f636227165ea2b699fbb7eed09c46c7"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blinklabs.xyz/blink/ethereum/api-reference/eth_sendbundle.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
